jQuery(document).ready(function () {
	
$("#expedientes_feedback").rup_feedback({
	gotoTop: true,
	block : false
});

$("form input[id=FNotif028Req]").attr("readonly", "readonly");

$("#requerimiento_form").rup_validate({
	feedback:$("#tramitacion_feedback"),
	liveCheckingErrors: true,
	rules:{
		"fTramitacion028":{required:true,date:true},
		"FRegSal028Req":{required:function(){
			if (registroManual == 1){return true;} 
			else { return false;}
			}, dateTime:true},
		"NRegSal028Req":{required:function(){
			if (registroManual == 1){return true;} 
			else { return false;}
		}}
	}
});

//bloqueaSelectorDocumento();
var hayDoc = contarDocs ();
var estaEnDokusi= enDokusi();

//Botonera guardar datos expediente
if(!estadoCierreRealizado && esUsuarioModificacion){
	if(estaEnDokusi==false){
		if(hayDoc==true){
			$("#gestionarDocsReq_toolbar").rup_toolbar({
				buttons:
					[{id:"BorrarDocumento", i18nCaption:$.rup.i18n.app.botones.BorrarDoc, left:true, click:fn_borrar_Req},
					 {id:"EditarDocumento", i18nCaption:$.rup.i18n.app.botones.EditarDoc, left:true, click:fncDescargaDocumentoPif},
					 {id:"FirmarDocumento", i18nCaption:$.rup.i18n.app.botones.FirmarDoc, left:true, click:fncSubirDocumentoDokusiReq}]
			});
			bloqueaCampos();
		}else{
			$("#gestionarDocsReq_toolbar").rup_toolbar({
				buttons:
					[{id:"GenerarDocumento", i18nCaption:$.rup.i18n.app.botones.GenerarDoc, left:true, click:fn_generar_Req},
					 {id:"DeshacerRequerimiento", i18nCaption:$.rup.i18n.app.botones.DeshacerRequerimiento, left:true, click:function(){fn_deshacer($.rup.i18n.app.mensajes.confirmDeshacerRequerimiento);}}]
			});
			$("#fTramitacion028").rup_date({datetimepicker: false});
			if (registroManual == 0){
				$("form input[id=FRegSal028Req]").attr("readonly", "readonly");
				$("form input[id=NRegSal028Req]").attr("readonly", "readonly");
			} else {
				$("#FRegSal028Req").rup_date({datetimepicker: true});
			}
		}
	}else {
		
		if (idestado == 5){
			/*$("#gestionarDocsReq_toolbar").rup_toolbar({
				buttons:
				[{id:"DeshacerRequerimiento", i18nCaption:$.rup.i18n.app.botones.DeshacerRequerimiento, left:true, click:function(){fn_deshacer($.rup.i18n.app.mensajes.confirmDeshacerRequerimiento);}}]
			});*/		
		}
		bloqueaCampos();
	}	
}else{
	bloqueaCampos();
}

if ($("#id004Firmante").val()){
	$("#firmantesFieldset input[type=radio][value=" + $("#id004Firmante").val()+"]").prop("checked", true);
}

/*
jQuery.validator.addMethod("requiredRadio", function(value, element, param) {
	
	return $("#firmante_2").prop("checked");

});*/

/*
$("#firmantesFieldset input[type=radio]").on("click", 
		function()
		{
			$('#firmanteErr').val("1");
		});*/

function bloqueaCampos(){
	$("#observacionesEsReq").attr("readonly", "readonly");
	$("#observacionesEuReq").attr("readonly", "readonly");
	$("#fTramitacion028").attr("readonly","readonly");

	$("form input[name=firmante]").attr("disabled", "disabled");
	$("form input[id=FRegSal028Req]").attr("readonly", "readonly");
	$("form input[id=NRegSal028Req]").attr("readonly", "readonly");
	//$("#FRegSal028Req").rup_date({datetimepicker: true, disabled: true});
}

function contarDocs (){
	var docs = pk_numDocPIF;
	if(docs!=pk_numDocPIF != undefined && pk_numDocPIF != null && pk_numDocPIF != ''){
		return true;
	}
	return false;
}
function enDokusi(){
	var docsDokusi = pk_nomDocDokusi;
	if(docsDokusi!= pk_nomDocDokusi != undefined && pk_nomDocDokusi != null && pk_nomDocDokusi!= ''){
		return true;
	}
	return false;
}

function fn_generar_Req (){
	 var tipoDocumento= "Requerimiento";
	 var idExpediente = $("#idProv024").val()+"/"+$("#idAno024").val()+"/"+$("#id024").val();
	 var idFase=$("#id017Fase").val();
	 var id028=$("#id028").val();
	 var idTramite=$("#id018Tramite").val();
	 var idFirmante = $("[name=firmante]:checked").val();
	 var fTramitacion = $("#fTramitacion028").val();

	 if(ab03bUtils.form.validate($("#requerimiento_form"), $("#tramitacion_feedback"))){
		 if (!idFirmante || idFirmante == ""){
			 ab03bUtils.feedback.pintarFeedbackError($.rup.i18n.app.mensajes.errorFirmante,  $("#tramitacion_feedback"));
		 } else {
			 $.rup_ajax({
					url: $.rup.CTX_PATH + "documentoRERA/generarDocumento",
					dataType: 'json',
					cache:false,
					data:{
						"idExpediente" : idExpediente,
						"observacionesEs" : $("#observacionesEsReq").val(),
						"observacionesEu" : $("#observacionesEuReq").val(),
						"FRegSal028" : $("#FRegSal028Req").rup_date("getDate"),
						"NRegSal028" : $("#NRegSal028Req").val(),
						"idFase":idFase,
						"id028":id028,
						"tipoDocumento": tipoDocumento,
						"firmante": idFirmante,
						"fTramitacion028": fTramitacion
					},
					type:"GET",
					contentType: 'application/json',
					success: function(xhr, ajaxOoptions){
						fncEditarPifSuccessReq(xhr.rutaCompleta);
						location.href = "../../../../"+ idExpediente + "/"+id028+"/"+estadoCierreRealizado+"?accionOK=true";
					},
					error: function(error){
						ab03bUtils.feedback.pintarFeedbackError(error.responseText, $("#tramitacion_feedback"));
						$("#FRegSal028Req").rup_date("setDate", null);
						$("#NRegSal028Req").val("");
					},
					beforeSend : function() {
						ab03bUtils.util.bloquearInterfaz();
					},
					complete: function() {
						ab03bUtils.util.desBloquearInterfaz();
					}
				});
		 }
	 }
	};
	
	function fn_borrar_Req(){
		var idExpediente = $("#idProv024").val()+"/"+$("#idAno024").val()+"/"+$("#id024").val();
		var idFase=$("#id017Fase").val();
		var idTramite=$("#id018Tramite").val();
		var id028=$("#id028").val();
		$.rup_messages("msgConfirm", {
			message: $.rup.i18n.app.mensajes.confirmDeshacerRequerimiento,
			title: "",
			OKFunction: function () {
				$.rup_ajax({
					url : $.rup.CTX_PATH + "expedientesRERA/detalle/tramitacion/eliminarDoc",
					dataType: 'json',
					data: {"idExpediente": idExpediente, "id028":id028},
			    	type: "GET",
			    	cache:false,
			    	contentType: 'application/json',
					success: function (mapaRespuesta){
						//leirelocation.href = "../../../" + idExpediente+ "?idFase="+idFase+"&idTramite="+idTramite+"&id028="+id028;
						location.href = "../../../../" + idExpediente+ "/"+id028+"/"+estadoCierreRealizado;
					},
					error: function(error){
						ab03bUtils.feedback.pintarFeedbackError(error.responseText, $("#tramitacion_feedback"));
					},
					beforeSend : function() {
						ab03bUtils.util.bloquearInterfaz();
					},
					complete: function() {
						ab03bUtils.util.desBloquearInterfaz();
					}
				});
			}
		});
	};
});	
	

	function fncDescargaDocumentoPif(){//Req
		var id029= pk_id029;
		var rutaPif="ab03b";
		
		 $.rup_ajax({
				url: $.rup.CTX_PATH + "documentoRERA/editarPif",
				dataType: 'json',
				data:{
					"idExpediente" : idExpediente,
					"id029" : id029,
					"rutaPif":rutaPif
				},
			cache:false,
			type:"GET",
			contentType: 'application/json',
			success: function(xhr, ajaxOoptions){
				fncEditarPifSuccessReq(xhr.rutaCompleta); 
				pk_numDocPIF=xhr.nombreDocumentoNuevo;
				$("#nombreDocumento").html(xhr.nombreDocumentoNuevo);
			},
			error: function(error){
				ab03bUtils.feedback.pintarFeedbackError(error.responseText, $("#tramitacion_feedback"));
			},
			beforeSend : function() {
				ab03bUtils.util.bloquearInterfaz();
			},
			complete: function() {
				ab03bUtils.util.desBloquearInterfaz();
			}
			});
	}
	function fncEditarPifSuccessReq(rutaPifCopia){
		
		var v = window.open(rutaPifCopia);
		if (v!=null)
		{
		v.close();	
		}
		
	}
	
	function fncSubirDocumentoDokusiReq(){
		var id029= pk_id029;
		var id007= pk_tipoDocDokusi;
		var rutaPif="ab03b";
		var idPIF = pk_numDocPIF;
		var idExpediente = $("#idProv024").val()+"/"+$("#idAno024").val()+"/"+$("#id024").val();
		var idFase=$("#id017Fase").val();
		var idTramite=$("#id018Tramite").val();
		var id028=$("#id028").val();
		
		$.rup_ajax({
			url: $.rup.CTX_PATH + "expedientesRERA/detalle/tramitacion/subirADokusi",
			dataType: 'json',
			data:{
				"idExpediente" : idExpediente,
				"idPIF" : idPIF,
				"id007" : id007,
				"id029" : id029,
				"rutaPif":rutaPif
			},
			cache:false,
			type:"GET",
			contentType: 'application/json',
			success: function(xhr, ajaxOoptions){
				location.href = "../../../../"+ idExpediente + "?idFase="+idFase+"&idTramite="+idTramite+"&id028="+id028+"&accionOK=true";
				location.reload();
			},
			error: function(error){
				ab03bUtils.feedback.pintarFeedbackError(error.responseText, $("#tramitacion_feedback"));
			},
			beforeSend : function() {
				ab03bUtils.util.bloquearInterfaz();
			},
			complete: function() {
				ab03bUtils.util.desBloquearInterfaz();
			}
		});
	}
	function fncDescargaDocumentoDokusiReq(){
		var id029= pk_id029;
		window.location.assign($.rup.CTX_PATH + "documentoRERA/descargarFichero?codDocumento=" + id029 );
				
	}
	